<mat-sidenav-container class="sidenav-container">
    <mat-sidenav #sidenav class="sidenav" fixedInViewport [attr.role]="(isHandset$ | async) ? 'dialog' : 'navigation'"
        [mode]="(isHandset$ | async) ? 'over' : 'side'" [opened]="(isHandset$ | async) === false">
        <mat-toolbar>Menu</mat-toolbar>
        <mat-nav-list>
            <a mat-list-item routerLink="/">Home</a>
            <a mat-list-item routerLink="/cursos">Cursos</a>
        </mat-nav-list>
    </mat-sidenav>

    <mat-sidenav-content>
        <mat-toolbar color="primary">
            <mat-icon class="example-icon" aria-hidden="false" aria-label="Example delete icon"
                (click)="sidenav.toggle()" *ngIf="(isHandset$ | async)">menu</mat-icon>
            <span><strong>HS</strong> Academy</span>
            <span class="spacer"></span>
            <span>isAdmin {{ isAdmin }}</span>
            <span (click)="logout()" *ngIf="isLoggedIn$ | async">Logout</span>
            <span (click)="openLogin()" *ngIf="!(isLoggedIn$ | async)">Login</span>
            <!-- <mat-icon aria-label="Side nav toggle icon" class="icon">search</mat-icon> -->
        </mat-toolbar>
        <!-- Add Content Here -->
        <ng-content>

        </ng-content>
    </mat-sidenav-content>
</mat-sidenav-container>
